
 /*********************************************************************************/
  /**** Ce code est utilis pour crer un fichier SAS avec la description des   ****/
  /**** variables et de ses valeurs  partir d' un fichier ASCII. Il peut tre  ****/
  /**** aussi utilis lorsque on utilise directement le fichier SAS             ****/
  /****  C12MICEE.SD2 pour avoir la description des variables                   ****/
  /*********************************************************************************/


proc format;

/* DDAY s'applique : DDAY  */
VALUE DDAY
                1 = "Dimanche"
                2 = "Lundi"
                3 = "Mardi"
                4 = "Mercredi"
                5 = "Jeudi"
                6 = "Vendredi"
                7 = "Samedi";
/* PLACE s'applique : PLACE  */
VALUE PLACE
                01 = "Domicilepondant"
                02 = "Lieu de travail"
                03 = "Dans un domicile"
                04 = "Autre enisinage)"
                05 = "Automobiducteur)"
                06 = "Automobiassager)"
                07 = " pied"
                08 = "Autobus ou mtro"
                09 = "Bicyclette"
                10 = "Autre (ayclette)"
                97 = "Non dcl refuse"
                98 = "Ne sait pas"
                99 = "Non dclar";
/* ALONE s'applique : ALONE  */
VALUE ALONE
                1 = "Oui"
                2 = "Non"
                7 = "Non dclactivit"
                8 = "Activitsonnelle"
                9 = "Non dclar";
/* SPOUSE s'applique : SPOUSE  */
VALUE SPOUSE
                1 = "Oui"
                2 = "Non"
                7 = "Non dclactivit"
                8 = "Activitsonnelle"
                9 = "Non dclar";
/* CHILDHSD s'applique : CHILDHSD  */
VALUE CHILDHSD
                1 = "Oui"
                2 = "Non"
                7 = "Non dclactivit"
                8 = "Activitsonnelle"
                9 = "Non dclar";
/* PARHSD s'applique : PARHSD  */
VALUE PARHSD
                1 = "Oui"
                2 = "Non"
                7 = "Non dclactivit"
                8 = "Activitsonnelle"
                9 = "Non dclar";
/* MEMBHSD s'applique : MEMBHSD  */
VALUE MEMBHSD
                1 = "Oui"
                2 = "Non"
                7 = "Non dclactivit"
                8 = "Activitsonnelle"
                9 = "Non dclar";
/* NHSCL15F s'applique : NHSDCL15  */
VALUE NHSCL15F
                1 = "Oui"
                2 = "Non"
                7 = "Non dclactivit"
                8 = "Activitsonnelle"
                9 = "Non dclar";
/* NHSDC15P s'applique : NHSDC15P  */
VALUE NHSDC15P
                1 = "Oui"
                2 = "Non"
                7 = "Non dclactivit"
                8 = "Activitsonnelle"
                9 = "Non dclar";
/* NHSDPAR s'applique : NHSDPAR  */
VALUE NHSDPAR
                1 = "Oui"
                2 = "Non"
                7 = "Non dclactivit"
                8 = "Activitsonnelle"
                9 = "Non dclar";
/* OTHFAM s'applique : OTHFAM  */
VALUE OTHFAM
                1 = "Oui"
                2 = "Non"
                7 = "Non dclactivit"
                8 = "Activitsonnelle"
                9 = "Non dclar";
/* FRIENDS s'applique : FRIENDS  */
VALUE FRIENDS
                1 = "Oui"
                2 = "Non"
                7 = "Non dclactivit"
                8 = "Activitsonnelle"
                9 = "Non dclar";
/* OTHERS s'applique : OTHERS  */
VALUE OTHERS
                1 = "Oui"
                2 = "Non"
                7 = "Non dclactivit"
                8 = "Activitsonnelle"
                9 = "Non dclar";
/* HELP s'applique : HELP  */
VALUE HELP
                1 = "Personne"
                2 = "Organisme"
                3 = "Non"
                7 = "Non demand"
                8 = "Ne sait pas"
                9 = "Non dclar";
/* HELP65F s'applique : HELP65  */
VALUE HELP65F
                1 = "Oui"
                2 = "Non"
                7 = "Non demand"
                8 = "Ne sait pas"
                9 = "Non dclar";
/* HELPLIM s'applique : HELPLIM  */
VALUE HELPLIM
                1 = "Oui"
                2 = "Non"
                7 = "Non demand"
                8 = "Ne sait pas"
                9 = "Non dclar";
/* HELPREL s'applique : HELPREL  */
VALUE HELPREL
                01 = "Parent(sarent(s)"
                02 = "Enfant(su mnage"
                03 = "Autre(s)u mnage"
                04 = "Ami(s)"
                05 = "Voisin(s)"
                06 = "Collgue travail"
                07 = "Autre"
                97 = "Non demand"
                98 = "Ne sait pas"
                99 = "Non dclar";
/* ORGCON s'applique : ORGCON  */
VALUE ORGCON
                1 = "Personnes ges"
                2 = "Enfants"
                3 = "Personnehandicap"
                4 = "Autre"
                7 = "Non demand"
                8 = "Ne sait pas"
                9 = "Non dclar";
/* ENJOYAC s'applique : ENJOYAC  */
VALUE ENJOYAC
                1 = "Oui"
                2 = "Non"
                3 = "Aucune"
                9 = "Non dclar";
run;


DATA DATA1;
    INFILE 'V:\PROD\DATA\12_MONTH\C12MICEE.DAT' LRECL=73;

INPUT
  @00001 RECID                 5.
  @00006 EPINO                 2.
  @00008 WGHTEPI              10.4
  @00018 WGHTFIN              10.4
  @00028 DDAY             $CHAR1.
  @00029 TOTEPISO              2.
  @00031 ACTCODE          $CHAR3.
  @00034 STARTIME         $CHAR4.
  @00038 ENDTIME          $CHAR4.
  @00042 STARMIN          $CHAR4.
  @00046 ENDMIN           $CHAR4.
  @00050 DURATION              4.
  @00054 PLACE            $CHAR2.
  @00056 ALONE            $CHAR1.
  @00057 SPOUSE           $CHAR1.
  @00058 CHILDHSD         $CHAR1.
  @00059 PARHSD           $CHAR1.
  @00060 MEMBHSD          $CHAR1.
  @00061 NHSDCL15         $CHAR1.
  @00062 NHSDC15P         $CHAR1.
  @00063 NHSDPAR          $CHAR1.
  @00064 OTHFAM           $CHAR1.
  @00065 FRIENDS          $CHAR1.
  @00066 OTHERS           $CHAR1.
  @00067 HELP             $CHAR1.
  @00068 HELP65           $CHAR1.
  @00069 HELPLIM          $CHAR1.
  @00070 HELPREL          $CHAR2.
  @00072 ORGCON           $CHAR1.
  @00073 ENJOYAC          $CHAR1.
     ;

RUN;


LABEL RECID  = "Numro d'identification de l'enregistrem";
LABEL EPINO  = "Numro squentiel de chaque enregistreme";
LABEL WGHTEPI  = "Pondration de la priode.";
LABEL WGHTFIN  = "Pondration finale.";
LABEL DDAY  = "Jour de rfrence.";
LABEL TOTEPISO  = "priodes";
LABEL ACTCODE  = "Code d'activit de la priode.";
LABEL STARTIME  = "Heure du dbut de la priode.";
LABEL ENDTIME  = "Heure de la fin de la priode.";
LABEL STARMIN  = "minutes";
LABEL ENDMIN  = "minutes";
LABEL DURATION  = "minutes";
LABEL PLACE  = "Localisation de la priode.";
LABEL ALONE  = "Relations sociales - seul?";
LABEL SPOUSE  = "Relations sociales - avec conjoint?";
LABEL CHILDHSD  = "Relations sociales - avec enfants du mn";
LABEL PARHSD  = "Relations sociales - avec le(s) parent(s";
LABEL MEMBHSD  = "Relations sociales - avec autre membre(s";
LABEL NHSDCL15  = "Relations sociales - avec enfant(s) du r";
LABEL NHSDC15P  = "Relations sociales - avec enfant(s) du r";
LABEL NHSDPAR  = "Relations sociales - avec le(s) parent(s";
LABEL OTHFAM  = "Relations sociales - avec autre membre(s";
LABEL FRIENDS  = "Relations sociales - avec les ami(e)s ha";
LABEL OTHERS  = "Relations sociales - avec autres personn";
LABEL HELP  = "Cette activit a-t-elle aide une person";
LABEL HELP65  = "La personne que vous avez aide a-t-elle";
LABEL HELPLIM  = "La personne que vous avez aide avait-el";
LABEL HELPREL  = "Quel est le lien entre vous et cette(ces";
LABEL ORGCON  = "Cette organisation s'occupait-elle princ";
LABEL ENJOYAC  = "Cette activit est-elle la prfre?";

FORMAT
   DDAY  DDAY.
   PLACE  PLACE.
   ALONE  ALONE.
   SPOUSE  SPOUSE.
   CHILDHSD  CHILDHSD.
   PARHSD  PARHSD.
   MEMBHSD  MEMBHSD.
   NHSDCL15  NHSCL15F.
   NHSDC15P  NHSDC15P.
   NHSDPAR  NHSDPAR.
   OTHFAM  OTHFAM.
   FRIENDS  FRIENDS.
   OTHERS  OTHERS.
   HELP  HELP.
   HELP65  HELP65F.
   HELPLIM  HELPLIM.
   HELPREL  HELPREL.
   ORGCON  ORGCON.
   ENJOYAC  ENJOYAC.;
run;
