
FILE HANDLE C12 /NAME = 'V:\PROD\DATA\12_MONTH\C12MICEE.DAT'
     /recform=fixed /lrecl=73.
DATA LIST FILE=C12
/RECID   1 - 5
EPINO   6 - 7
WGHTEPI   8 - 17      (4)
WGHTFIN   18 - 27     (4)
DDAY   28 - 28
TOTEPISO   29 - 30
ACTCODE   31 - 33
STARTIME   34 - 37
ENDTIME   38 - 41
STARMIN   42 - 45
ENDMIN   46 - 49
DURATION   50 - 53
PLACE   54 - 55
ALONE   56 - 56
SPOUSE   57 - 57
CHILDHSD   58 - 58
PARHSD   59 - 59
MEMBHSD   60 - 60
NHSDCL15   61 - 61
NHSDC15P   62 - 62
NHSDPAR   63 - 63
OTHFAM   64 - 64
FRIENDS   65 - 65
OTHERS   66 - 66
HELP   67 - 67
HELP65   68 - 68
HELPLIM   69 - 69
HELPREL   70 - 71
ORGCON   72 - 72
ENJOYAC   73 - 73.
EXECUTE.
VARIABLE LABELS
RECID "Record identification."
EPINO "Sequential episode number."
WGHTEPI "Episode weight."
WGHTFIN "Final weight."
DDAY "Designated day of interview."
TOTEPISO "episodes"
ACTCODE "Activity code of the episode."
STARTIME "Start time of the episode."
ENDTIME "End time of the episode."
STARMIN "minutes"
ENDMIN "minutes"
DURATION "minutes"
PLACE "Location of the episode."
ALONE "Social contacts - alone?"
SPOUSE "Social contacts - with spouse?"
CHILDHSD "Social contacts - with children of the h"
PARHSD "Social contacts - with parent(s) or pare"
MEMBHSD "Social contacts - with other member(s) o"
NHSDCL15 "Social contacts - with child(ren) of the"
NHSDC15P "Social contacts - with child(ren) of the"
NHSDPAR "Social contacts - with parent(s) or pare"
OTHFAM "Social contacts - with other family memb"
FRIENDS "Social contacts - with friends living ou"
OTHERS "Social contacts - with others living out"
HELP "Did this activity help a person outside "
HELP65 "Was the person helped 65 years or older?".
EXECUTE.
VARIABLE LABELS
HELPLIM "Does the person you helped have a long-t"
HELPREL "What is this person's relationship to yo"
ORGCON "Was this organization mostly concerned w"
ENJOYAC "Is this activity the most enjoyable?".
EXECUTE.
VALUE LABELS
/DDAY
                          1 "Sunday"
                          2 "Monday"
                          3 "Tuesday"
                          4 "Wednesday"
                          5 "Thursday"
                          6 "Friday"
                          7 "Saturday"
/PLACE
                          01 "Respondet's home"
                          02 "Work place"
                          03 "Someone e's home"
                          04 "Other plourhood)"
                          05 "Car (driver)"
                          06 "Car (passenger)"
                          07 "Walk"
                          08 "Bus and subway"
                          09 "Bicycle"
                          10 "Other (aorcycle)"
                          97 "Not statormation"
                          98 "Dont know"
                          99 "Not stated"
/ALONE
                          1 "Yes"
                          2 "No"
                          7 "Not askeity code"
                          8 "Personalactivity"
                          9 "Not stated"
/SPOUSE
                          1 "Yes"
                          2 "No"
                          7 "Not askeity code"
                          8 "Personalactivity"
                          9 "Not stated"
/CHILDHSD
                          1 "Yes"
                          2 "No"
                          7 "Not askeity code"
                          8 "Personalactivity"
                          9 "Not stated"
/PARHSD
                          1 "Yes"
                          2 "No"
                          7 "Not askeity code"
                          8 "Personalactivity"
                          9 "Not stated"
/MEMBHSD
                          1 "Yes"
                          2 "No"
                          7 "Not askeity code"
                          8 "Personalactivity"
                          9 "Not stated"
/NHSDCL15
                          1 "Yes"
                          2 "No"
                          7 "Not askeity code"
                          8 "Personalactivity"
                          9 "Not stated"
/NHSDC15P
                          1 "Yes"
                          2 "No"
                          7 "Not askeity code"
                          8 "Personalactivity"
                          9 "Not stated"
/NHSDPAR
                          1 "Yes"
                          2 "No"
                          7 "Not askeity code"
                          8 "Personalactivity"
                          9 "Not stated"
/OTHFAM
                          1 "Yes"
                          2 "No"
                          7 "Not askeity code"
                          8 "Personalactivity"
                          9 "Not stated"
/FRIENDS
                          1 "Yes"
                          2 "No"
                          7 "Not askeity code"
                          8 "Personalactivity"
                          9 "Not stated"
/OTHERS
                          1 "Yes"
                          2 "No"
                          7 "Not askeity code"
                          8 "Personalactivity"
                          9 "Not stated"
/HELP
                          1 "Person"
                          2 "Organization"
                          3 "No"
                          7 "Not asked"
                          8 "Don't know"
                          9 "Not stated"
/HELP65
                          1 "Yes"
                          2 "No"
                          7 "Not asked"
                          8 "Don't know"
                          9 "Not stated"
/HELPLIM
                          1 "Yes"
                          2 "No"
                          7 "Not asked"
                          8 "Don't know"
                          9 "Not stated"
/HELPREL
                          01 "Parent(s) in-law"
                          02 "Childrenousehold"
                          03 "Other meousehold"
                          04 "Friend(s)"
                          05 "Neighbour(s)"
                          06 "Co-worker(s)"
                          07 "Others"
                          97 "Not asked"
                          98 "Don't know"
                          99 "Not stated"
/ORGCON
                          1 "Seniors"
                          2 "Children"
                          3 "Persons bilities"
                          4 "Other"
                          7 "Not asked"
                          8 "Don't know"
                          9 "Not stated"
/ENJOYAC
                          1 "Yes"
                          2 "No"
                          3 "None"
                          9 "Not stated".
EXECUTE.
Missing Values
ALONE   SPOUSE   CHILDHSD  PARHSD  MEMBHSD  NHSDCL15  NHSDC15P
NHSDPAR  OTHFAM  FRIENDS  OTHERS    HELP    HELP65   HELPLIM   ORGCON
ENJOYAC
     (7)  (8)  (9)
PLACE  HELPREL
     (97) (98) (99).
EXECUTE.
SAVE OUTFILE = 'C:\C12SPSS\C12MICEE.SAV' / COMPRESSED.
EXECUTE.
