/*****************************************************************************/
/****  Ce programme est utilise pour crer un fichier SPSS avec la      *****/
/****  description des variables et des valeurs en      FRANCAIS         *****/
/*****************************************************************************/



FILE HANDLE C12 /NAME = 'V:\PROD\DATA\12_MONTH\C12MICEE.DAT'
     /recform=fixed /lrecl=73.
DATA LIST FILE=C12
/RECID   1 - 5
EPINO   6 - 7
WGHTEPI   8 - 17      (4)
WGHTFIN   18 - 27     (4)
DDAY   28 - 28
TOTEPISO   29 - 30
ACTCODE   31 - 33
STARTIME   34 - 37
ENDTIME   38 - 41
STARMIN   42 - 45
ENDMIN   46 - 49
DURATION   50 - 53
PLACE   54 - 55
ALONE   56 - 56
SPOUSE   57 - 57
CHILDHSD   58 - 58
PARHSD   59 - 59
MEMBHSD   60 - 60
NHSDCL15   61 - 61
NHSDC15P   62 - 62
NHSDPAR   63 - 63
OTHFAM   64 - 64
FRIENDS   65 - 65
OTHERS   66 - 66
HELP   67 - 67
HELP65   68 - 68
HELPLIM   69 - 69
HELPREL   70 - 71
ORGCON   72 - 72
ENJOYAC   73 - 73.
EXECUTE.
VARIABLE LABELS
RECID "Numro d'identification de l'enregistrem"
EPINO "Numro squentiel de chaque enregistreme"
WGHTEPI "Pondration de la priode."
WGHTFIN "Pondration finale."
DDAY "Jour de rfrence."
TOTEPISO "priodes"
ACTCODE "Code d'activit de la priode."
STARTIME "Heure du dbut de la priode."
ENDTIME "Heure de la fin de la priode."
STARMIN "minutes"
ENDMIN "minutes"
DURATION "minutes"
PLACE "Localisation de la priode."
ALONE "Relations sociales - seul?"
SPOUSE "Relations sociales - avec conjoint?"
CHILDHSD "Relations sociales - avec enfants du mn"
PARHSD "Relations sociales - avec le(s) parent(s"
MEMBHSD "Relations sociales - avec autre membre(s"
NHSDCL15 "Relations sociales - avec enfant(s) du r"
NHSDC15P "Relations sociales - avec enfant(s) du r"
NHSDPAR "Relations sociales - avec le(s) parent(s"
OTHFAM "Relations sociales - avec autre membre(s"
FRIENDS "Relations sociales - avec les ami(e)s ha"
OTHERS "Relations sociales - avec autres personn"
HELP "Cette activit a-t-elle aide une person"
HELP65 "La personne que vous avez aide a-t-elle".
EXECUTE.
VARIABLE LABELS
HELPLIM "La personne que vous avez aide avait-el"
HELPREL "Quel est le lien entre vous et cette(ces"
ORGCON "Cette organisation s'occupait-elle princ"
ENJOYAC "Cette activit est-elle la prfre?".
EXECUTE.
VALUE LABELS
/DDAY
                          1 "Dimanche"
                          2 "Lundi"
                          3 "Mardi"
                          4 "Mercredi"
                          5 "Jeudi"
                          6 "Vendredi"
                          7 "Samedi"
/PLACE
                          01 "Domicilepondant"
                          02 "Lieu de travail"
                          03 "Dans un domicile"
                          04 "Autre enisinage)"
                          05 "Automobiducteur)"
                          06 "Automobiassager)"
                          07 " pied"
                          08 "Autobus ou mtro"
                          09 "Bicyclette"
                          10 "Autre (ayclette)"
                          97 "Non dcl refuse"
                          98 "Ne sait pas"
                          99 "Non dclar"
/ALONE
                          1 "Oui"
                          2 "Non"
                          7 "Non dclactivit"
                          8 "Activitsonnelle"
                          9 "Non dclar"
/SPOUSE
                          1 "Oui"
                          2 "Non"
                          7 "Non dclactivit"
                          8 "Activitsonnelle"
                          9 "Non dclar"
/CHILDHSD
                          1 "Oui"
                          2 "Non"
                          7 "Non dclactivit"
                          8 "Activitsonnelle"
                          9 "Non dclar"
/PARHSD
                          1 "Oui"
                          2 "Non"
                          7 "Non dclactivit"
                          8 "Activitsonnelle"
                          9 "Non dclar"
/MEMBHSD
                          1 "Oui"
                          2 "Non"
                          7 "Non dclactivit"
                          8 "Activitsonnelle"
                          9 "Non dclar"
/NHSDCL15
                          1 "Oui"
                          2 "Non"
                          7 "Non dclactivit"
                          8 "Activitsonnelle"
                          9 "Non dclar"
/NHSDC15P
                          1 "Oui"
                          2 "Non"
                          7 "Non dclactivit"
                          8 "Activitsonnelle"
                          9 "Non dclar"
/NHSDPAR
                          1 "Oui"
                          2 "Non"
                          7 "Non dclactivit"
                          8 "Activitsonnelle"
                          9 "Non dclar"
/OTHFAM
                          1 "Oui"
                          2 "Non"
                          7 "Non dclactivit"
                          8 "Activitsonnelle"
                          9 "Non dclar"
/FRIENDS
                          1 "Oui"
                          2 "Non"
                          7 "Non dclactivit"
                          8 "Activitsonnelle"
                          9 "Non dclar"
/OTHERS
                          1 "Oui"
                          2 "Non"
                          7 "Non dclactivit"
                          8 "Activitsonnelle"
                          9 "Non dclar"
/HELP
                          1 "Personne"
                          2 "Organisme"
                          3 "Non"
                          7 "Non demand"
                          8 "Ne sait pas"
                          9 "Non dclar"
/HELP65
                          1 "Oui"
                          2 "Non"
                          7 "Non demand"
                          8 "Ne sait pas"
                          9 "Non dclar"
/HELPLIM
                          1 "Oui"
                          2 "Non"
                          7 "Non demand"
                          8 "Ne sait pas"
                          9 "Non dclar"
/HELPREL
                          01 "Parent(sarent(s)"
                          02 "Enfant(su mnage"
                          03 "Autre(s)u mnage"
                          04 "Ami(s)"
                          05 "Voisin(s)"
                          06 "Collgue travail"
                          07 "Autre"
                          97 "Non demand"
                          98 "Ne sait pas"
                          99 "Non dclar"
/ORGCON
                          1 "Personnes ges"
                          2 "Enfants"
                          3 "Personnehandicap"
                          4 "Autre"
                          7 "Non demand"
                          8 "Ne sait pas"
                          9 "Non dclar"
/ENJOYAC
                          1 "Oui"
                          2 "Non"
                          3 "Aucune"
                          9 "Non dclar".
EXECUTE.
Missing Values
ALONE   SPOUSE   CHILDHSD  PARHSD  MEMBHSD  NHSDCL15  NHSDC15P
NHSDPAR  OTHFAM  FRIENDS  OTHERS    HELP    HELP65   HELPLIM   ORGCON
ENJOYAC
     (7)  (8)  (9)
PLACE  HELPREL
     (97) (98) (99).
EXECUTE.
SAVE OUTFILE = 'C:\C12SPSS\C12MICEF.SAV' / COMPRESSED.
EXECUTE.
